Search documentation of Cartouche

# Cartouche.Solana.Programs (Cartouche v0.1.3)

Copy Markdown View Source

Well-known Solana program IDs and addresses.

Centralizes program addresses to avoid scattered Base58 decoding across modules.

## Summary

### Functions

ata_program()

Associated Token Account Program (`ATokenGPvbdGVxr1b2hvZbsiqW5xWH25efTNsLJA8knL`)

compute_budget_program()

Compute Budget Program (`ComputeBudget111111111111111111111111111111`)

system_program()

System Program (`11111111111111111111111111111111`)

token_2022_program()

Token-2022 Program (`TokenzQdBNbLqP5VEhdkAS6EPFLC1PHnBqCXEpPxuEb`)

token_program()

SPL Token Program (`TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA`)

wrapped_sol_mint()

Wrapped SOL Mint (`So11111111111111111111111111111111111111112`)

## Functions

# ata_program()

    @spec ata_program() :: <<_::256>>

Associated Token Account Program (`ATokenGPvbdGVxr1b2hvZbsiqW5xWH25efTNsLJA8knL`)

# compute_budget_program()

    @spec compute_budget_program() :: <<_::256>>

Compute Budget Program (`ComputeBudget111111111111111111111111111111`)

# system_program()

    @spec system_program() :: <<_::256>>

System Program (`11111111111111111111111111111111`)

# token_2022_program()

    @spec token_2022_program() :: <<_::256>>

Token-2022 Program (`TokenzQdBNbLqP5VEhdkAS6EPFLC1PHnBqCXEpPxuEb`)

# token_program()

    @spec token_program() :: <<_::256>>

SPL Token Program (`TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA`)

# wrapped_sol_mint()

    @spec wrapped_sol_mint() :: <<_::256>>

Wrapped SOL Mint (`So11111111111111111111111111111111111111112`)